<template>
  <div class="layout__item">
    <div class="layout">

      <select required aria-label="Day" name="birthday-day" id="day"
          title="Day" class="form__el layout__item"
          v-model="selectedDay">
        <option
          v-for="option in dayOptions"
          v-bind:value="option.value"
          v-bind:key="option.key">
          {{ option.value }}
        </option>
      </select>

      <select required aria-label="Month" name="birthday-month" id="month"
          title="Month" class="form__el layout__item mh"
          v-model="selectedMonth">
        <option
          v-for="option in monthOptions"
          v-bind:value="option.value"
          v-bind:key="option.key">
          {{ option.value }}
        </option>
      </select>

      <select required aria-label="Year" name="birthday-year" id="year"
          title="Year" class="form__el layout__item"
          v-model="selectedYear">
        <option
          v-for="option in yearOptions"
          v-bind:value="option.value"
          v-bind:key="option.key">
          {{ option.value }}
        </option>
      </select>

    </div>
  </div>
</template>

<script>
const range = (start, end) => {
  const options = [];
  for (let option = start; option <= end; option++) {
    options.push({ key: option, value: option });
  }
  return options;
};

const dayOptions = [{ key: 0, value: "Day" }, ...range(1, 31)];
const yearOptions = [{ key: 0, value: "Year" }, ...range(1905, 2016)];
const monthOptions = [
  { key: 0, value: "Month" },
  { key: 1, value: "Jan" },
  { key: 2, value: "Feb" },
  { key: 3, value: "Mar" },
  { key: 4, value: "Apr" },
  { key: 5, value: "May" },
  { key: 6, value: "Jun" },
  { key: 7, value: "Jul" },
  { key: 8, value: "Aug" },
  { key: 9, value: "Sep" },
  { key: 10, value: "Oct" },
  { key: 11, value: "Nov" },
  { key: 12, value: "Dec" }
];

export default {
  name: "DatePicker",
  data: function() {
    return {
      selectedDay: dayOptions[0].value,
      selectedMonth: monthOptions[0].value,
      selectedYear: yearOptions[0].value,
      dayOptions: dayOptions,
      monthOptions: monthOptions,
      yearOptions: yearOptions
    };
  },
  props: ['selectedDate']
};
</script>

